Bug 887812 - libldm functionality is missing from Fedora 18 build of libguestfs
libldm functionality is missing from Fedora 18 build of libguestfs
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libguestfs (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-17 06:59 EST by Richard W.M. Jones
Modified: 2013-01-15 23:34 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-17 08:34:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2012-12-17 06:59:06 EST
Description of problem:

><fs> ldmtool-scan
libguestfs: error: ldmtool_scan: feature 'ldm' is not available in this
build of libguestfs.  Read 'AVAILABILITY' in the guestfs(3) man page for
how to check for the availability of features.

$ guestfish --ro -a /dev/null run : supported
         acl yes
      augeas yes
       btrfs yes
      fstrim yes
        grub no   # expected
       hivex yes
     inotify yes
         ldm no   # error
   linuxcaps yes
 linuxfsuuid yes
linuxmodules yes
 linuxxattrs yes
        luks yes
        lvm2 yes
       mdadm yes
       mknod yes
      ntfs3g yes
   ntfsprogs yes
    realpath yes
       rsync yes
       scrub yes
     selinux yes
      wipefs yes
         xfs yes
          xz yes
    zerofree yes

Version-Release number of selected component (if applicable):

guestfish 1.20.0fedora=18,release=1.fc18,libvirt
Comment 1 Richard W.M. Jones 2012-12-17 08:34:39 EST
Fixed in F18 git, but I didn't do a build yet since it's
likely we'll be releasing 1.20.1 shortly.
Comment 2 Fedora Update System 2012-12-20 14:53:48 EST
libguestfs-1.20.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libguestfs-1.20.1-1.fc18
Comment 3 Fedora Update System 2012-12-21 04:12:02 EST
libguestfs-1.20.1-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libguestfs-1.20.1-2.fc18
Comment 4 Richard W.M. Jones 2012-12-21 04:15:50 EST
With 1.20.1-2 package:

$ guestfish run : supported
         acl yes
      augeas yes
       btrfs yes
      fstrim yes
        grub no
       hivex yes
     inotify yes
         ldm yes
   linuxcaps yes
 linuxfsuuid yes
linuxmodules yes
 linuxxattrs yes
        luks yes
        lvm2 yes
       mdadm yes
       mknod yes
      ntfs3g yes
   ntfsprogs yes
    realpath yes
       rsync yes
       scrub yes
     selinux yes
      wipefs yes
         xfs yes
          xz yes
    zerofree yes
Comment 5 Fedora Update System 2013-01-11 19:31:10 EST
libguestfs-1.20.1-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 John L Magee 2013-01-13 14:53:30 EST
This package has a dependency that cannot be resolved.

[root@localhost ~]# yum clean all
Loaded plugins: fastestmirror, langpacks, presto, refresh-packagekit
Cleaning repos: fedora rpmfusion-free rpmfusion-free-updates rpmfusion-nonfree rpmfusion-nonfree-updates updates
Cleaning up Everything
Cleaning up list of fastest mirrors
No delta-package files removed by presto
[root@localhost ~]# rpm -Va --nofiles --nodigest
[root@localhost ~]# yum install libguestfs
Loaded plugins: fastestmirror, langpacks, presto, refresh-packagekit
fedora/18/x86_64/metalink                                                                                          |  14 kB  00:00:00     
fedora                                                                                                             | 4.2 kB  00:00:00     
rpmfusion-free                                                                                                     | 3.3 kB  00:00:00     
rpmfusion-free-updates                                                                                             | 3.3 kB  00:00:00     
rpmfusion-nonfree                                                                                                  | 3.3 kB  00:00:00     
rpmfusion-nonfree-updates                                                                                          | 3.3 kB  00:00:00     
updates/18/x86_64/metalink                                                                                         |  13 kB  00:00:00     
updates                                                                                                            | 4.7 kB  00:00:00     
(1/2): updates/primary_db                                                                                          | 4.8 MB  00:00:03     
(2/2): fedora/primary_db                                                                                           |  17 MB  00:00:06     
(1/4): rpmfusion-nonfree-updates/primary_db                                                                        | 1.1 kB  00:00:00     
(2/4): rpmfusion-free-updates/primary_db                                                                           | 1.1 kB  00:00:00     
(3/4): rpmfusion-nonfree/primary_db                                                                                | 147 kB  00:00:00     
(4/4): rpmfusion-free/primary_db                                                                                   | 447 kB  00:00:01     
Determining fastest mirrors
 * fedora: linux.mirrors.es.net
 * rpmfusion-free: mirror.us.leaseweb.net
 * rpmfusion-free-updates: mirrors.coreix.net
 * rpmfusion-nonfree: mirror.us.leaseweb.net
 * rpmfusion-nonfree-updates: mirrors.coreix.net
 * updates: linux.mirrors.es.net
fedora/group_gz                                                                                                    | 368 kB  00:00:00     
rpmfusion-free/group_gz                                                                                            | 1.7 kB  00:00:00     
rpmfusion-free-updates/group_gz                                                                                    | 1.7 kB  00:00:00     
rpmfusion-nonfree/group_gz                                                                                         | 1.0 kB  00:00:00     
rpmfusion-nonfree-updates/group_gz                                                                                 |  993 B  00:00:00     
updates/group_gz                                                                                                   | 368 kB  00:00:00     
Resolving Dependencies
--> Running transaction check
---> Package libguestfs.x86_64 1:1.20.1-2.fc18 will be installed
fedora/filelists_db                                                                                                |  25 MB  00:00:08     
rpmfusion-free/filelists_db                                                                                        | 319 kB  00:00:00     
rpmfusion-free-updates/filelists_db                                                                                |  605 B  00:00:00     
rpmfusion-nonfree/filelists_db                                                                                     | 246 kB  00:00:00     
rpmfusion-nonfree-updates/filelists_db                                                                             |  594 B  00:00:00     
updates/filelists_db                                                                                               | 5.3 MB  00:00:02     
--> Processing Dependency: libldm for package: 1:libguestfs-1.20.1-2.fc18.x86_64
--> Processing Dependency: libldm-1.0.so.0()(64bit) for package: 1:libguestfs-1.20.1-2.fc18.x86_64
--> Finished Dependency Resolution
Error: Package: 1:libguestfs-1.20.1-2.fc18.x86_64 (updates)
           Requires: libldm
Error: Package: 1:libguestfs-1.20.1-2.fc18.x86_64 (updates)
           Requires: libldm-1.0.so.0()(64bit)
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
[root@localhost ~]#
Comment 7 Richard W.M. Jones 2013-01-15 23:34:59 EST
A new bug has been created for the apparently
missing libldm package in F18: bug 895670

Note You need to log in before you can comment on or make changes to this bug.